DirectoryProperty (JHOVE Documentation)
Keywords: edu.harvard.hul.ois.jhove.module.tiff.DirectoryProperty,DirectoryProperty class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.tiff
Class DirectoryProperty

    java.lang.Object
      |
      +--edu.harvard.hul.ois.jhove.Property
            |
            +--edu.harvard.hul.ois.jhove.module.tiff.DirectoryProperty

Direct Known Subclasses:
  GeoTagProperty, TiffIFDProperty

public abstract class DirectoryProperty
extends Property

This is an abstract class which subsumes both TiffIFDProperty and GeoTagProperty. It provides various methods for converting data types to output.

Author:
  Gary McGath

Field Summary
`protected java.util.List` | `_messages`
`protected java.text.NumberFormat` | `_numFormat`
`protected java.util.List` | `_propList`
`protected boolean` | `_rawOutput`

Constructor Summary
`DirectoryProperty(java.lang.String name, boolean rawOutput)` Creates the DirectoryProperty object.

Method Summary
`protected void` | `addBitmaskProperty(long lval, java.lang.String name, java.lang.String[] valueNames)`
`protected void` | `addDoubleArrayProperty(double[] larr, java.lang.String name)`
`protected void` | `addDoubleProperty(double dval, java.lang.String name)`
`protected void` | `addIntArrayProperty(int[] iarr, java.lang.String name)`
`protected void` | `addIntArrayProperty(int[] iarr, java.lang.String name, java.lang.String[] valueNames)`
`protected void` | `addIntProperty(int ival, java.lang.String name)`
`protected void` | `addIntProperty(int ival, java.lang.String name, int[] valueIndex, java.lang.String[] valueNames)`
`protected void` | `addIntProperty(int ival, java.lang.String name, java.lang.String[] valueNames)`
`protected void` | `addLongArrayProperty(long[] larr, java.lang.String name)`
`protected void` | `addLongProperty(long lval, java.lang.String name)`
`protected void` | `addRationalArrayProperty(Rational[] rarr, java.lang.String name)`
`protected void` | `addRationalProperty(Rational rat, java.lang.String name)`
`protected void` | `addStringArrayProperty(java.lang.String[] strval, java.lang.String name)` General function for adding a property for a tag with an ASCII value.
`protected void` | `addStringProperty(java.lang.String strval, java.lang.String name)` General function for adding a property for a tag with an ASCII value.
`protected void` | `addStringProperty(java.lang.String strval, java.lang.String name, java.lang.String[] rawStrs, java.lang.String[] subStrs)` Adds a property for a tag with an ASCII value, where in non-raw output mode we substitute a more easily understood string.
`java.util.List` | `getMessages()` Get any messages that were generated in building this object.
`protected java.lang.String` | `RationalToString(Rational rat)`

Methods inherited from class edu.harvard.hul.ois.jhove.Property
`getArity, getName, getType, getValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _rawOutput

    protected boolean _rawOutput

### _propList

    protected java.util.List _propList

### _messages

    protected java.util.List _messages

### _numFormat

    protected java.text.NumberFormat _numFormat

Constructor Detail

### DirectoryProperty

    public DirectoryProperty(java.lang.String name,
                             boolean rawOutput)

  Creates the DirectoryProperty object.

Parameters:
  `rawOutput` - `true` if numeric values should not be replaced with explanatory text

Method Detail

### getMessages

    public java.util.List getMessages()

  Get any messages that were generated in building this object.

### addStringProperty

    protected void addStringProperty(java.lang.String strval,
                                     java.lang.String name)

  General function for adding a property for a tag with an ASCII value.

  Parameters:
    `strval` - The string value of the property
    `name` - The name of the property

### addStringArrayProperty

    protected void addStringArrayProperty(java.lang.String[] strval,
                                          java.lang.String name)

  General function for adding a property for a tag with an ASCII value.

  Parameters:
    `strval` - The string values of the property
    `name` - The name of the property

### addStringProperty

    protected void addStringProperty(java.lang.String strval,
                                     java.lang.String name,
                                     java.lang.String[] rawStrs,
                                     java.lang.String[] subStrs)

  Adds a property for a tag with an ASCII value, where in non-raw output mode we substitute a more easily understood string. Any value which is not found in the rawStrs array will not be replaced. rawStrs and subStrs must be of equal length.

  Parameters:
    `strval` - The string value of the property
    `name` - The name of the property
    `rawStrs` - An array of Strings which may be tag values
    `subStrs` - An array of Strings which will replace the raw tag values in corresponding positions in the array.

### addIntArrayProperty

    protected void addIntArrayProperty(int[] iarr,
                                       java.lang.String name)

### addIntArrayProperty

    protected void addIntArrayProperty(int[] iarr,
                                       java.lang.String name,
                                       java.lang.String[] valueNames)

### addLongArrayProperty

    protected void addLongArrayProperty(long[] larr,
                                        java.lang.String name)

### addIntProperty

    protected void addIntProperty(int ival,
                                  java.lang.String name)

### addIntProperty

    protected void addIntProperty(int ival,
                                  java.lang.String name,
                                  java.lang.String[] valueNames)

### addIntProperty

    protected void addIntProperty(int ival,
                                  java.lang.String name,
                                  int[] valueIndex,
                                  java.lang.String[] valueNames)

### addLongProperty

    protected void addLongProperty(long lval,
                                   java.lang.String name)

### addBitmaskProperty

    protected void addBitmaskProperty(long lval,
                                      java.lang.String name,
                                      java.lang.String[] valueNames)

### addRationalProperty

    protected void addRationalProperty(Rational rat,
                                       java.lang.String name)

### addRationalArrayProperty

    protected void addRationalArrayProperty(Rational[] rarr,
                                            java.lang.String name)

### RationalToString

    protected java.lang.String RationalToString(Rational rat)

### addDoubleProperty

    protected void addDoubleProperty(double dval,
                                     java.lang.String name)

### addDoubleArrayProperty

    protected void addDoubleArrayProperty(double[] larr,
                                          java.lang.String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD